BizKitHub
DocsAPI ReferenceEmailer/bff/emailer/send
postEmailerAdmin BFF

/bff/emailer/send

Queues a new email for sending on behalf of the current organisation. Attachments referenced by blobId / blobToken must belong to the current organisation.

EmailerpostBffEmailerSend

Parameters

JSON body

Request body

application/json
emailobjectRequired
subjectstringRequired

Subject line.

Length: 0–1000
fromstring | objectRequired
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
tostring | object | string | object[]Required
One of 2:
Variant 1
string | object
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
Variant 2
string | object[]
Each array item:
string | object
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
ccstring | object | string | object[]Optional
One of 2:
Variant 1
string | object
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
Variant 2
string | object[]
Each array item:
string | object
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
bccstring | object | string | object[]Optional
One of 2:
Variant 1
string | object
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
Variant 2
string | object[]
Each array item:
string | object
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
replyTostring | objectOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
namestringRequired
Length: 0–200
emailstringRequired
Length: 0–320
prioritynumberOptional

Queue priority.

localestringOptional
Length: 0–8
sendEarliestAtstringOptional

ISO datetime — do not send before.

notestringOptional

Internal note (not sent to the recipient).

htmlBodystringOptional

HTML body.

attachmentListobject | object | object[]Optional
Each array item:
object | object | object
One of 3:
Variant 1
blobIdnumberRequired

Blob id owned by the current organisation.

filenamestringOptional
tagstringOptional
Variant 2
blobTokenstringRequired

Blob token owned by the current organisation.

filenamestringOptional
tagstringOptional
Variant 3
rawTextContentstringRequired

Raw text attached as a file.

filenamestringOptional
tagstringOptional

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/emailer/send

post
curl -X POST "https://api.bizkithub.com/bff/emailer/send" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "email": {
    "subject": "example_subject",
    "priority": 0,
    "locale": "example_locale",
    "sendEarliestAt": "example_sendEarliestAt",
    "note": "example_note",
    "htmlBody": "example_htmlBody",
    "attachmentList": []
  }
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key